Bug 240195 - Review Request: sergueis-destiny - Serguei's Destiny, an AGI adventure game
Review Request: sergueis-destiny - Serguei's Destiny, an AGI adventure game
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Hans de Goede
Fedora Package Reviews List
: Reopened
Depends On: 239812
Blocks:
  Show dependency treegraph
 
Reported: 2007-05-15 14:35 EDT by Jon Ciesla
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-22 19:03:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
hdegoede: fedora‑review+
tcallawa: fedora‑cvs+


Attachments (Terms of Use)
Proposed agi game license (393 bytes, text/plain)
2007-05-21 12:43 EDT, Jon Ciesla
no flags Details

  None (edit)
Description Jon Ciesla 2007-05-15 14:35:08 EDT
Spec URL: http://zanoni.jcomserv.net/fedora/sergueis-destiny/sergueis-destiny.spec
SRPM URL: http://zanoni.jcomserv.net/fedora/sergueis-destiny/sergueis-destiny-1.1-1.src.rpm
Description: An AGI game requiring nagi.

A bad wizard Blackmagic has cast his evil spell to the peaceful village
Jolimy. 50 years later, an apprentice sorcerer Serguei must break the
Blackmagic's spell and free Jolimy.
Comment 1 Hans de Goede 2007-05-17 14:50:03 EDT
MUST:
=====
* rpmlint output is empty
* Package and spec file named appropriately
* Packaged according to packaging guidelines
0 License NOT ok!
* spec file is legible and in Am. English.
* Source matches upstream (as explained in the comment)
* Compiles and builds on devel x86_64
* BR: ok
* No locales
* No shared libraries
* Not relocatable
* Package owns / or requires all dirs
* No duplicate files & Permissions
* %clean & macro usage OK
* Contains code and permissable content
* %doc does not affect runtime, and isn't large enough to warrent a sub package
* no -devel package needed
* .desktop file as required and properly installed

Must FIX
========
* The readme says this game is freeware, not public domain, freeware is an 
  ambigous term, please contact upstream for clarification, this is a blocker!
* Drop the bogus " sergueis-destiny" argument to %setup
* sergeui.txt is not in UTF-8 , this fixes it:
  iconv -f IBM850 -t UTF8 sergeui.txt > tmp
  mv tmp sergeui.txt

Should fix
==========
* Change the last line of dgae-wrapper.sh from 'nagi' to 'exec nagi "$@"'
  the exec removes a useless bash instance from memory (since the script does
  nothing after the nagi line, bash can just be replaced with nagi instead of
  nagi running under bash. the "$@" passed any cmdline args given to the script 
  to nagi (although it seems that nagi takes no cmdline args??).

Comment 2 Jon Ciesla 2007-05-17 14:53:42 EDT
Fixed all of the above save the License blocker.  Will investigate.

Spec URL: http://zanoni.jcomserv.net/fedora/sergueis-destiny/sergueis-destiny.spec
SRPM URL:
http://zanoni.jcomserv.net/fedora/sergueis-destiny/sergueis-destiny-1.1-2.src.rpm
Comment 3 Jon Ciesla 2007-05-17 15:01:25 EDT
Posted to forum:
http://www.agigames.com/forum/index.php?topic=10514.msg89361#msg89361
Comment 4 Jon Ciesla 2007-05-18 08:46:49 EDT
Reply on forum:
http://www.agigames.com/forum/index.php?topic=10514.msg89362#msg89362

Well, that's it then.  Withdrawing review, closing bug.
Comment 5 Hans de Goede 2007-05-18 09:09:31 EDT
Hmm, this is not a problem "Freeware means free of cost but cannot be edited
without my permission", content does not have to be modifiable, as long as its
distributable.

What is a problem is this: "There is something to tell you before include
Serguei's destiny in your site. Serguei's destiny uses agipal, an agi hack let
you to custom the 16 colors.

Nagi does not support agipal (unless I missed the last version). The screen will
shake forever." But maybe some other agi player supports it?

What really is a problem is this:
"Yes. You can put Serguei's destiny in your site but not in package with
Fedora." I think there might be some communication problem here, assuming the
agipal problem can be fixed, you could try explaining that a fedora package is
just another sort of zip file and that the contained files will not be modified.

Another option for this and other freeware agi games would be to make an
agi-freeware-installer package which contains .desktop files and .sh wrappers
and uses autodownloader to download the files when the games are first started
from the menu.

Do "yum install xu4" and then start Ultima 4 from the menu, or take a look at
the rott and vavoom reviews (linked to from the Games SIG page) for some more
info about / examples of autodownloader usage.



Comment 6 Jon Ciesla 2007-05-18 10:25:05 EDT
Hmm, I can't get to either of your .specs. . .

I'll try xu4.

My new forum post:
http://www.agigames.com/forum/index.php?topic=10514.msg89364#msg89364
Comment 7 Jon Ciesla 2007-05-18 10:34:19 EDT
autodownloader is elegant, but I think unneccesary in this case.  With AGI, data
and logic are intertwined.  I think if I can convince him that we won't modify
it, we're in the clear.  Might have to write up some license text.
Comment 8 Jon Ciesla 2007-05-21 12:16:52 EDT
Got it worked out:
http://www.agigames.com/forum/index.php?topic=10514.msg89372#msg89372

I'll work up some text.
Comment 9 Hans de Goede 2007-05-21 12:23:36 EDT
(In reply to comment #8)
> Got it worked out:
> http://www.agigames.com/forum/index.php?topic=10514.msg89372#msg89372

Good

> I'll work up some text.

Yes, thats needed, and then get the author to ok it, it needs to say that: "the 
game maybe freely redistributed", with ofcourse the authors conditions:
"no modification", and "must be distributed in a zip/package file by itself"
and then he must ack this. Whats in the forum is hopefull, but not good (clear) 
enough IMHO.
Comment 10 Jon Ciesla 2007-05-21 12:43:36 EDT
Created attachment 155111 [details]
Proposed agi game license
Comment 11 Hans de Goede 2007-05-21 15:40:49 EDT
Looks good, no we only need the upstream author to ok it.
Comment 12 Hans de Goede 2007-05-21 15:41:11 EDT
s/no/now/
Comment 14 Hans de Goede 2007-05-21 17:18:53 EDT
Must FIX
========
* Change license field to: "Redistributable, no modification permitted"
* Add a comment to the top of sergueis-destiny-README.fedora explaining that
  "permission was given by the author to (re)distribute it under the conditions 
  below", and add a link to the forum discussion.
* Rename sergueis-destiny-README.fedora to something with "license" in the name
Comment 16 Hans de Goede 2007-05-22 08:51:15 EDT
Looks fine now: approved!
Comment 17 Jon Ciesla 2007-05-22 09:00:10 EDT
New Package CVS Request
=======================
Package Name: sergueis-destiny
Short Description: An AGI adventure game
Owners: limb@jcomserv.net
Branches: FC-5 FC-6 F-7
InitialCC: 

Thanks for the review!
Comment 18 Tom "spot" Callaway 2007-05-22 09:31:33 EDT
Cvs done.
Comment 19 Jon Ciesla 2007-05-22 19:03:42 EDT
Built in all branches.

Note You need to log in before you can comment on or make changes to this bug.